| CommentNodeAccessTest::setUp |
function |
core/modules/comment/tests/src/Functional/CommentNodeAccessTest.php |
|
| CommentNodeAccessTest::testThreadedCommentView |
function |
core/modules/comment/tests/src/Functional/CommentNodeAccessTest.php |
Tests that threaded comments can be viewed. |
| CommentNodeChangesTest |
class |
core/modules/comment/tests/src/Functional/CommentNodeChangesTest.php |
Tests that comments behave correctly when the node is changed. |
| CommentNodeChangesTest.php |
file |
core/modules/comment/tests/src/Functional/CommentNodeChangesTest.php |
|
| CommentNodeChangesTest::$defaultTheme |
property |
core/modules/comment/tests/src/Functional/CommentNodeChangesTest.php |
The theme to install as the default for testing. |
| CommentNodeChangesTest::testNodeDeletion |
function |
core/modules/comment/tests/src/Functional/CommentNodeChangesTest.php |
Tests that comments are deleted with the node. |
| CommentNonNodeTest |
class |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
Tests commenting on a test entity. |
| CommentNonNodeTest.php |
file |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
|
| CommentNonNodeTest::$adminUser |
property |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
An administrative user with permission to configure comment settings. |
| CommentNonNodeTest::$defaultTheme |
property |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
The theme to install as the default for testing. |
| CommentNonNodeTest::$entity |
property |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
The entity to use within tests. |
| CommentNonNodeTest::$modules |
property |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
Modules to enable. |
| CommentNonNodeTest::commentContactInfoAvailable |
function |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
Checks whether the commenter's contact information is displayed. |
| CommentNonNodeTest::commentExists |
function |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
Checks current page for specified comment. |
| CommentNonNodeTest::getUnapprovedComment |
function |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
Gets the comment ID for an unapproved comment. |
| CommentNonNodeTest::performCommentOperation |
function |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
Performs the specified operation on the specified comment. |
| CommentNonNodeTest::postComment |
function |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
Posts a comment. |
| CommentNonNodeTest::setUp |
function |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
|
| CommentNonNodeTest::testCommentFunctionality |
function |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
Tests anonymous comment functionality. |
| CommentNonNodeTest::testsNonIntegerIdEntities |
function |
core/modules/comment/tests/src/Functional/CommentNonNodeTest.php |
Tests comment fields cannot be added to entity types without integer IDs. |
| CommentStatisticsTest::testCommentNodeCommentStatistics |
function |
core/modules/comment/tests/src/Functional/CommentStatisticsTest.php |
Tests the node comment statistics. |
| CommentStatusFieldAccessTest::$nodeAuthor |
property |
core/modules/comment/tests/src/Functional/CommentStatusFieldAccessTest.php |
Node author. |
| CommentTestBase::$node |
property |
core/modules/comment/tests/src/Functional/CommentTestBase.php |
A test node to which comments will be posted. |
| CommentTestBase::$nodeUserCommented |
property |
core/modules/comment/tests/src/Functional/Views/CommentTestBase.php |
Stores a node posted by the user created as $account2. |
| CommentTestBase::$nodeUserPosted |
property |
core/modules/comment/tests/src/Functional/Views/CommentTestBase.php |
Stores a node posted by the user created as $account. |
| comment_node_links_alter |
function |
core/modules/comment/comment.module |
Implements hook_node_links_alter(). |
| comment_node_search_result |
function |
core/modules/comment/comment.module |
Implements hook_node_search_result(). |
| comment_node_update_index |
function |
core/modules/comment/comment.module |
Implements hook_node_update_index(). |
| comment_node_view_alter |
function |
core/modules/comment/comment.module |
Implements hook_ENTITY_TYPE_view_alter() for node entities. |
| ConfigTranslationUiTest::testNodeFieldTranslation |
function |
core/modules/config_translation/tests/src/Functional/ConfigTranslationUiTest.php |
Tests field translation for node fields. |
| ContentEntityTest::testNodeSource |
function |
core/modules/migrate_drupal/tests/src/Kernel/Plugin/migrate/source/ContentEntityTest.php |
Tests node source plugin. |
| ContentPreprocess::preprocessNode |
function |
core/modules/content_moderation/src/ContentPreprocess.php |
|
| ContentPreprocessTest::routeNodeProvider |
function |
core/modules/content_moderation/tests/src/Unit/ContentPreprocessTest.php |
Data provider for self::testIsLatestVersionPage(). |
| ContentPreprocessTest::setupNode |
function |
core/modules/content_moderation/tests/src/Unit/ContentPreprocessTest.php |
Mock a node object. |
| ContentTranslationEntityBundleInfoTest::getBundledNode |
function |
core/modules/content_translation/tests/src/Kernel/ContentTranslationEntityBundleInfoTest.php |
Gets a new bundled node for testing. |
| content_moderation_preprocess_node |
function |
core/modules/content_moderation/content_moderation.module |
Implements hook_preprocess_HOOK(). |
| content_translation_test_form_node_form_alter |
function |
core/modules/content_translation/tests/modules/content_translation_test/content_translation_test.module |
Implements hook_form_BASE_FORM_ID_alter(). |
| content_translation_test_form_node_form_submit |
function |
core/modules/content_translation/tests/modules/content_translation_test/content_translation_test.module |
Form submission handler for custom field added based on a request parameter. |
| ContextualFiltersBlockContextTest::$nodes |
property |
core/modules/views/tests/src/Functional/Plugin/ContextualFiltersBlockContextTest.php |
Test nodes. |
| ContextualFiltersBlockContextTest::$nodeType |
property |
core/modules/views/tests/src/Functional/Plugin/ContextualFiltersBlockContextTest.php |
Test node type. |
| ContextualLinksTest::$nodes |
property |
core/modules/node/tests/src/FunctionalJavascript/ContextualLinksTest.php |
An array of node revisions. |
| ContextualLinksTest::assertCorrectContextualLinksInNode |
function |
core/modules/layout_builder/tests/src/FunctionalJavascript/ContextualLinksTest.php |
Asserts the contextual links are correct on the canonical entity route. |
| core.base_field_override.node.book.promote.yml |
file |
core/modules/book/config/optional/core.base_field_override.node.book.promote.yml |
core/modules/book/config/optional/core.base_field_override.node.book.promote.yml |
| core.base_field_override.node.forum.promote.yml |
file |
core/modules/forum/config/optional/core.base_field_override.node.forum.promote.yml |
core/modules/forum/config/optional/core.base_field_override.node.forum.promote.yml |
| core.base_field_override.node.forum.title.yml |
file |
core/modules/forum/config/optional/core.base_field_override.node.forum.title.yml |
core/modules/forum/config/optional/core.base_field_override.node.forum.title.yml |
| core.base_field_override.node.page.promote.yml |
file |
core/profiles/standard/config/install/core.base_field_override.node.page.promote.yml |
core/profiles/standard/config/install/core.base_field_override.node.page.promote.yml |
| core.base_field_override.node.page.promote.yml |
file |
core/profiles/demo_umami/config/install/core.base_field_override.node.page.promote.yml |
core/profiles/demo_umami/config/install/core.base_field_override.node.page.promote.yml |
| core.base_field_override.node.recipe.title.yml |
file |
core/profiles/demo_umami/config/install/core.base_field_override.node.recipe.title.yml |
core/profiles/demo_umami/config/install/core.base_field_override.node.recipe.title.yml |
| core.entity_form_display.node.article.default.yml |
file |
core/profiles/standard/config/install/core.entity_form_display.node.article.default.yml |
core/profiles/standard/config/install/core.entity_form_display.node.article.default.yml |
| core.entity_form_display.node.article.default.yml |
file |
core/profiles/demo_umami/config/install/core.entity_form_display.node.article.default.yml |
core/profiles/demo_umami/config/install/core.entity_form_display.node.article.default.yml |